### Virtual Method

# Gio File measure_disk_usage_finish

since: 2.38

#### Declaration

    gboolean
    measure_disk_usage_finish (
      GFile* file,
      GAsyncResult* result,
      guint64* disk_usage,
      guint64* num_dirs,
      guint64* num_files,
      GError** error
    )

#### Description

Collects the results from an earlier call to g_file_measure_disk_usage_async(). See `g_file_measure_disk_usage()` for more information.

Available since: 2.38

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` passed to your `GAsyncReadyCallback`.

  The data is owned by the caller of the method.

`disk_usage`

  Type: `guint64*`

  The number of bytes of disk space used.

  The argument will be set by the function.
  The argument can be `NULL`.

`num_dirs`

  Type: `guint64*`

  The number of directories encountered.

  The argument will be set by the function.
  The argument can be `NULL`.

`num_files`

  Type: `guint64*`

  The number of non-directories encountered.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, with the out parameters set. `FALSE` otherwise, with `error` set.